Get a Git hook
GET
/repos/{owner}/{repo}/hooks/git/{id}
const url = 'https://gitea.com/api/v1/repos/example/example/hooks/git/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/hooks/git/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
string
Id of the hook to get
Responses
Section titled “Responses”GitHook
Media typeapplication/json
GitHook represents a Git repository hook
object
content
Content contains the script content of the hook
string
is_active
IsActive indicates if the hook is active
boolean
name
Name is the name of the Git hook
string
Examplegenerated
{ "content": "example", "is_active": true, "name": "example"}APINotFound is a not found empty response
Media typeapplication/json